<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('orders', function (Blueprint $table) {
            $table->increments('order_id');
            $table->foreignId('user_id')->nullable()->constrained()->nullOnDelete();
            $table->enum('status', [

                'processing', // Pesanan sedang disiapkan oleh admin setelah pembayaran diterima atau untuk COD langsung diproses.

                'shipped', // Pesanan sudah dikirim oleh admin dan dalam perjalanan ke alamat customer (resi sudah tersedia).

                'delivered', // Pesanan telah sampai di kota tujuan atau sedang dalam proses pengantaran ke rumah customer.

                'completed', // Pesanan telah diterima oleh customer dan transaksi dianggap selesai.

                'cancelled' // Pesanan dibatalkan karena gagal bayar, expired, atau dibatalkan oleh user/admin.

            ])->default('processing');
            $table->decimal('total_price', 12, 2)->default(0);
            $table->text('order_note')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('orders');
    }
};
